#
# spec file for package fcitx-libpinyin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 12

Name:           fcitx-libpinyin
Version:        0.5.3
Release:        lp150.2.39
Summary:        Libpinyin Wrapper for Fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/fcitx/fcitx-libpinyin
Source:         http://download.fcitx-im.org/fcitx-libpinyin/%{name}-%{version}_dict.tar.xz
#PATCH-FIX-UPSTREAM downgrade qt5 requirement to 5.4 since qtwebengine is available
# starting from that release
Patch0:         dictmanager-qt5.4.patch
#PATCH-FIX-UPSTREAM linking against fcitx
Patch1:         fcitx-libpinyin-linking.patch
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  fcitx-qt5-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtwebengine-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(libpinyin)
Provides:       locale(fcitx:zh_CN;zh_SG)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{fcitx_requires}

%description
Fcitx-libpinyin is a Frontend of the Intelligent Pinyin IME Backend.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%find_lang %{name}
%fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%dir %{_fcitx_libdir}/qt
%{_fcitx_libdir}/%{name}.so
%{_fcitx_libdir}/qt/lib%{name}-dictmanager.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc
%{_fcitx_imicondir}/*.png
%{_fcitx_inputmethoddir}/pinyin-libpinyin.conf
%{_fcitx_inputmethoddir}/shuangpin-libpinyin.conf
%{_fcitx_inputmethoddir}/zhuyin-libpinyin.conf
%{_datadir}/icons/hicolor/48x48/status/*.png
%{_fcitx_datadir}/libpinyin

%changelog
* Wed Dec 13 2017 i@marguerite.su
- own %%{_libdir}/fcitx/qt
* Thu Sep 28 2017 hillwood@opensuse.org
- Update to 0.5.3
  * Update translation.
  * Use libpinyin 2.1.0
* Wed Aug 23 2017 hillwood@opensuse.org
- Update to 0.5.1
  * Fix a typo: continous -> continuous
  * [trans] Update Translation
  * QWidget is under QtWidgets in Qt5
* Sat Feb 11 2017 i@marguerite.su
- update version 0.5.0
  * port dictmanager to qt5
- add dictmanager-qt5.4.patch
  * downgrade qt5 requirement to 5.4 since qtwebengine is available
    at 5.4
- add fcitx-libpinyin-linking.patch
  * linking against fcitx
* Tue Jan 31 2017 i@marguerite.su
- update version 0.4.1
  * add libpinyin 1.7.0 support
  * fixed issue#21
* Fri Aug 12 2016 hillwood@opensuse.org
- Update to 0.3.91
  * update for libpinyin 1.5.91
  * [libpinyin] use only invalid pinyin in cand word string
  * [libpinyin] let's filter out ascii character for libpinyin/libpinyin#62
  * fixes https://github.com/fcitx/fcitx-libpinyin/issues/18
* Thu Dec 24 2015 i@marguerite.su
- update version 0.3.3
  * fix sogou download wrong file name encoding
  * update libpinyin requirement to 1.2.91
* Tue Aug 25 2015 i@marguerite.su
- update version 0.3.2
  * bind_textdomain_codeset to utf8
  * Close Issue#9 Disable all dictionary by default
  * add missing libintl libraries
  * no matter libpinyin tools found or not,we can build it
  * compatible with new libpinyin
  * add phrase to actual user dictionary
  * fix sogou download wrong file name encoding
* Mon Feb 17 2014 fcrozat@suse.com
- Add COPYING to %%doc
* Tue Jul 16 2013 i@marguerite.su
- update version 0.3.1
  * add new icon
  * fix import if import directory doesn't exist
  * a possible fix for Issue 699
* Mon Jul  1 2013 i@marguerite.su
- update version 0.3.0
  * Support typing mixed Chinese/English when selection is done in half way.
  * Add new dictionary manager
  * Translation Update
* Wed Jun 26 2013 i@marguerite.su
- update version 0.2.92
  * compatible with libpinyin api change 0.8.93->0.9.0
  * fix shuangpinyin might cause crash when using cloudpinyin
  * complete dictionary management
* Thu Oct 11 2012 i@marguerite.su
- update version 0.2.1
  * fix Traditional Chinese data file.
  * compatible with libpinyin 0.7.91
* Sun Sep 16 2012 i@marguerite.su
- use standard source.
* Thu Aug  2 2012 i@marguerite.su
- update version 0.2.0
  * fix builds with libpinyin 0.7.x
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Fri Mar  9 2012 hillwood@linuxfan.org
- update to 0.1.1
  * Portable
  * Can use traditional chinese data for pinyin and simplified
    chinese data for zhuyin
  * Use tone for zhuyin by default
  * When using Zhuyin, Enter for first candidate, Shift+Enter
    for commit English Character
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git.
* Sat Jan 28 2012 i@marguerite.su
- initial package 0.1 from git
